/*  
	CDMagic installation script
*/


if 0 then SIGNAL TEst;

call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
call SysLoadFuncs

HTML_File = "manual\start.htm";	/* user manual			*/

CDM_Dir = directory();		/* get CDMagic home dir		*/

/* ----------------------------------------------------		*/
/* Check if it is really the CDMagic-dir:			*/
/* ----------------------------------------------------		*/
ok = SysFileTree("cdmagic.exe", "files.");
if files.0 <> 1 then do
   say "(cannot find cdmagic.exe)";
   say "To install the CDMagic product you must run this"
   say "install.cmd from the directory, where the cdmagic-files"
   say "are located."
   exit;
end;

/* ----------------------------------------------------		*/
/* Create FOLDER object for CDMagic:				*/
/* ----------------------------------------------------		*/

FolderID = "<CDMacic Objects>";

ok = SysCreateObject(	"WPFolder",		,
			"CDMagic",	,
			"<WP_DESKTOP>",		,
			"OBJECTID="FolderID";ICONFILE="CDM_Dir"\Folder1.ico",	,
			"Replace"		,
		    );

if ok then
   say "Folder-object successfully created";
else;
   say "Error creating Folder-object: Code="ok;

/* ----------------------------------------------------		*/
/* Create URL object for user manual, which is a HTML-file:	*/
/* ----------------------------------------------------		*/

URL=directory()"\"HTML_File;

ok = SysCreateObject(	"WpURL",		,
			"CDMagic User Manual",	,
			FolderID,		,
			"URL="URL,		,
			"Replace"		,
		    );

if ok then
   say "URL-object successfully created";
else;
   say "Error creating URL-object: Code="ok;


/* ----------------------------------------------------		*/
/* Create program object:					*/
/* ----------------------------------------------------		*/

URL=directory()"\"HTML_File;

ok = SysCreateObject(	"WpProgram",					,
			"CDMagic"||"0D0A"x||"The MP3 Database",		,
			FolderID,					,
			"EXENAME="directory()"\CDMagic.exe;ICONFILE="CDM_Dir"\Program.ico",	,
			"Replace"		,
		    );

if ok then
   say "Program-object successfully created";
else;
   say "Error creating program-object: Code="ok;


/* ----------------------------------------------------		*/
/* Now install the user manual:					*/
/* ----------------------------------------------------		*/

"@md manual";
"@cd manual";
"unzip ..\cdmanual.zip"

TEst:

ok = directory(CDM_dir);	/* restore home dir		*/

SIGNAL AROUND;
y="";
say "Select a language / Whlen Sie eine Sprache:"
say ""
say "     1 - english";
say "     2 - deutsch";
say ""
do while \( y = "1" | y = "2" );
   y = SysGetKey();
   if y = 1 then Suff = ".eng"
   if y = 2 then Suff = ".deu"
end;
'e readme'suff;
AROUND:

say ""
say "Congratulation! You have successfully installed the "
say "CDMagic program. To start using it, please open the"
say "CDMagic-folder, which has just been created on your"
say "desktop and doubleclick on the program icon."
say ""
say "Have fun!";
say "";
exit;
